---
title: Set collection state to ACTIVE or INACTIVE.
slug: api-documentation/set-collection-state-to-active-or-inactive
docTags: 
createdAt: 2026-08-27T17:01:40.499Z
---

{
  "id": "hlAiQrNW1DOuys93bZlrz",
  "type": "api-oas-v2",
  "data": {
    "method": "PATCH",
    "url": "https://api.upstartcommerce.com/pim/product-lines/collections/{id}/state",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/product-lines/collections/{id}/state"
      }
    ],
    "name": "Set collection state to ACTIVE or INACTIVE.",
    "description": "<p>Dedicated endpoint to activate or deactivate a collection. State is not accepted on create/update — only via this endpoint.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "CollectionStateRequest.json",
          "schema": [],
          "modelRef": "schemas/Collection/CollectionStateRequest.json",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Collection state updated successfully.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "PimCollection.json",
            "schema": [],
            "modelRef": "schemas/Collection/PimCollection.json",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "hCts4PrRP1I9a6XsMpGig",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PATCH \\\n     --url https://api.upstartcommerce.com/pim/product-lines/collections/{id}/state \\\n     --header 'accept: application/json'"
        },
        {
          "id": "hcI2CZpkqnpEOKdsrfGKi",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\n\nvar requestOptions = {\n   method: 'PATCH',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/product-lines/collections/{id}/state\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "ayk0hNIMvOFXNJPxZJtGa",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/product-lines/collections/{id}/state\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Patch.new(url)\nrequest[\"accept\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "SDOrWaXOnXEp-DmjEp1Q9",
          "language": "python",
          "label": "Python",
          "code": "import requests\n\nurl = \"https://api.upstartcommerce.com/pim/product-lines/collections/{id}/state\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json'\n}\n\nresponse = requests.request(\"PATCH\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "hCts4PrRP1I9a6XsMpGig"
    },
    "results": {
      "languages": [
        {
          "id": "8JsnPa4XTQzO8uVaWAykD",
          "language": "200",
          "code": "// Collection state updated successfully.\n{}"
        }
      ],
      "selectedLanguageId": "8JsnPa4XTQzO8uVaWAykD"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}